routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [App\Http\Controllers\DashboardController::class, 'index']);


Route::middleware('auth')->group(function() {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');

    Route::prefix('rj')->name('rj.')->group(function() {
        Route::get('registrasi-pasien', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'index'])->name('registrasi-pasien');
        Route::get('detail-registrasi/{id?}', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'detail']);
        Route::get('get-daerah', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_daerah'])->name('get-daerah');
        Route::get('get-riwayat-pasien', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_riwayat_pasien'])->name('get-riwayat-pasien');
        Route::post('store-registrasi', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_registrasi'])->name('store');
        Route::get('transaksi-pasien', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'transaksi'])->name('transaksi-pasien');
        Route::get('get-list-registrasi', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_data'])->name('list-registrasi');
        Route::get('get-list-registrasi-proses', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_registrasi_proses'])->name('list-registrasi-proses');
        Route::get('transaksi-rj/detail/{noreg}', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'detail_transaksi'])->name('detail-transaksi-pasien');
        Route::get('get-tindakan', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_tindakan'])->name('get-tindakan');
        Route::get('get-obat', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_obat'])->name('get-obat');
        Route::post('insert-draft-nota', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_nota_awal'])->name('insert-draft-nota-rj');
        Route::post('insert-tindakan', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_tindakan'])->name('insert-tindakan');
        Route::get('get-tindakan-bynota', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_tindakan_by_nota'])->name('get-tindakan-bynota');
        Route::get('transaksi/hapus-notadet/{id}', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'hapus_notadet']);
        Route::post('insert-obat', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'insert_obat'])->name('insert-obat');
        Route::get('get-obat-bynota', [App\Http\Controllers\Rawatjalan\RegistrasiRjController::class, 'get_obat_by_nota'])->name('get-obat-bynota');
    });

     Route::prefix('ri')->name('ri.')->group(function() {
        Route::get('registrasi-pasien-ri', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'index'])->name('registrasi-pasien-ri');
        Route::get('detail-registrasi/{id?}', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'detail']);
        Route::get('get-daerah', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_daerah'])->name('get-daerah');
        Route::get('get-riwayat-pasien-ri', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_riwayat_pasien-ri'])->name('get-riwayat-pasien-ri');
        Route::post('store-registrasi_ri', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_registrasi_ri'])->name('store');
         Route::get('input-tindakan-pasien', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'input-tindakan'])->name('input-tindakan-pasien');
        Route::get('get-list-registrasi', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_data'])->name('list-registrasi');
        Route::get('get-list-registrasi-proses', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_registrasi_proses'])->name('list-registrasi-proses');
        Route::get('input-tindakan-ri/detail/{noreg}', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'detail_input-tindakan'])->name('detail-input-tindakan-pasien');
        Route::get('get-tindakan', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_tindakan'])->name('get-tindakan');
        Route::get('get-obat', [App\Http\Controllers\Rawatinap\RegisRtrasiRiController::class, 'get_obat'])->name('get-obat');
        Route::post('insert-draft-nota', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_nota_awal'])->name('insert-draft-nota-ri');
        Route::post('insert-tindakan', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_tindakan'])->name('insert-tindakan');
        Route::get('get-tindakan-bynota', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_tindakan_by_nota'])->name('get-tindakan-bynota');
        Route::get('input-tindakan/hapus-notadet/{id}', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'hapus_notadet']);
        Route::post('insert-obat', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'insert_obat'])->name('insert-obat');
        Route::get('get-obat-bynota', [App\Http\Controllers\Rawatinap\RegistrasiRiController::class, 'get_obat_by_nota'])->name('get-obat-bynota');
    });

    Route::prefix('kasir')->name('kasir.')->group(function() {
        Route::get('index', [App\Http\Controllers\Kasir\KasirController::class, 'index'])->name('index');
        Route::get('detail/{noreg}', [App\Http\Controllers\Kasir\KasirController::class, 'detail'])->name('detail');
        Route::get('list-kuitansidet', [App\Http\Controllers\Kasir\KasirController::class, 'get_kuitansi_det'])->name('list-kuitansidet');
        Route::post('insert-bayar', [App\Http\Controllers\Kasir\KasirController::class, 'insert_pembayaran'])->name('insert-bayar');
        Route::get('hapus-kuidet/{id}', [App\Http\Controllers\Kasir\KasirController::class, 'delete_kuidet']);


    });


    Route::prefix('inv')->name('inv.')->group(function() {
        Route::get('po', [App\Http\Controllers\Inventory\PoController::class, 'create_po'])->name('create-po');
        Route::get('list-po', [App\Http\Controllers\Inventory\PoController::class, 'get_po'])->name('po');
        Route::get('get-barang', [App\Http\Controllers\Inventory\PoController::class, 'get_barang'])->name('get-barang');

        Route::get('barang-bagian', [App\Http\Controllers\Inventory\BarangbagianController::class, 'index'])->name('barang-bagian');
        Route::get('get-barang-bagian', [App\Http\Controllers\Inventory\BarangbagianController::class, 'get_barang_bagian'])->name('get-barang-bagian');
        Route::post('barang-bagian/update', [App\Http\Controllers\Inventory\BarangbagianController::class, 'update']);

        Route::get('pp', [App\Http\Controllers\Inventory\PemesananController::class, 'index'])->name('pp');
        Route::get('list-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'get_pp'])->name('list-pp');
        Route::get('list-ppdet', [App\Http\Controllers\Inventory\PemesananController::class, 'get_ppdet'])->name('list-ppdet');
        Route::get('create-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'create'])->name('create-pp');
        Route::post('insert-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'store'])->name('insert-pp');
        Route::get('deletepp/{id}', [App\Http\Controllers\Inventory\PemesananController::class, 'destroy'])->name('deletepp');
        Route::get('detailpp/{id}', [App\Http\Controllers\Inventory\PemesananController::class, 'detail'])->name('detailpp');
        Route::get('editpp/{id}', [App\Http\Controllers\Inventory\PemesananController::class, 'edit'])->name('editpp');
        Route::post('update-pp', [App\Http\Controllers\Inventory\PemesananController::class, 'update'])->name('update-pp');

        Route::get('receive', [App\Http\Controllers\Inventory\ReceiveController::class, 'create'])->name('receive');
        Route::get('receive-getpesanan', [App\Http\Controllers\Inventory\ReceiveController::class, 'get_pesanan'])->name('receive-getpesanan');
     


    });

    Route::prefix('pasien')->name('pasien.')->group(function() {
        Route::post('store', [App\Http\Controllers\Pasien\PasienController::class, 'store'])->name('store');
        Route::get('get-data', [App\Http\Controllers\Pasien\PasienController::class, 'get_data'])->name('get-data');
    });

    Route::prefix('master')->name('master.')->group(function() {
        // bidang perawatan
        Route::get('bidang-perawatan', [App\Http\Controllers\Master\BidangperawatanController::class, 'index'])->name('bidang-perawatan');
        Route::get('bidang-perawatan/get-data', [App\Http\Controllers\Master\BidangperawatanController::class, 'get_data']);
        Route::post('bidang-perawatan/store', [App\Http\Controllers\Master\BidangperawatanController::class, 'store']);
        Route::get('bidang-perawatan/hapus/{id}', [App\Http\Controllers\Master\BidangperawatanController::class, 'destroy']);
        // cara bayar
        Route::get('cara-bayar', [App\Http\Controllers\Master\CarabayarController::class, 'index'])->name('cara-bayar');
        Route::get('cara-bayar/get-data', [App\Http\Controllers\Master\CarabayarController::class, 'get_data']);
        Route::post('cara-bayar/store', [App\Http\Controllers\Master\CarabayarController::class, 'store']);

resources/views/pages/rawatjalan/registrasi.blade.php
@extends('layouts.main')

@section('page.title', 'Pendaftaran')
@section('page.heading', 'Pendaftaran')

@push('top.styles')
<style>

</style>
@endpush

@section('page.content')
<div class="col-lg-12">
    <div class="card card-outline-info">
        <div class="card-header">
            <h4 class="m-b-0 text-white">Form Input Pendaftaran</h4>
        </div>
        <div class="card-body">
            <form method="POST" id="frm_reg_rj" class="form-horizontal" enctype="multipart/form-data">
            @csrf
            <div class="button-group">
                <a href="{{ route('rj.registrasi-pasien') }}" class="btn waves-effect waves-light btn-secondary btn-sm">Kembali</a>
                <button type="button" class="btn waves-effect waves-light btn-info btn-sm" onclick="submitRegistrasi()">Simpan</button>
                <button type="button" class="btn waves-effect waves-light btn-danger btn-sm">Batal</button>
                <button type="button" class="btn waves-effect waves-light btn-primary btn-sm">Cari Registrasi</button>
                <button type="button" class="btn waves-effect waves-light btn-primary btn-sm">Cari Reservasi</button>
                <button type="button" class="btn waves-effect waves-light btn-success btn-sm">Cetak No Antrian</button>
                <button type="button" class="btn waves-effect waves-light btn-success btn-sm">Cetak Label</button>
            </div>
            <div class="form-row mt-1">
                <label for="nip" class="col-md-2 text-right">No RM</label>
                <div class="col-md-3">
                  <input type="text" class="form-control " autocomplete="off" id="norm" name="norm" value="{{ $norm }}" readOnly>
                </div>
                <label class="control-label text-right col-md-2">No. Registrasi</label>
                <div class="col-md-4">
                    <input type="text" class="form-control " autocomplete="off" id="noreg" name="noreg" placeholder="Otomatis" readOnly>
               </div>
            </div>
            <div class="form-row mt-1">
                <label for="nip" class="col-md-2 text-right">Nama Pasien</label>
                <div class="col-md-3">
                  <input type="text" class="form-control " autocomplete="off" id="nmpasien" name="nmpasien" value="{{ $nmpasien }}" readOnly>
                </div>
                <label class="control-label text-right col-md-2">Tgl/Jam/Shift<span class="text-danger">*</span></label>
                <div class="col-md-2">
                    <input type="text" class="form-control " autocomplete="off" id="tglreg" name="tglreg">
               </div>
                <label class="control-label text-right col-xs-1">/</label>
                <div class="col-md-1">
                    <input type="text" class="form-control " autocomplete="off" id="jamreg" name="jamreg" readOnly>
               </div>
                <label class="control-label text-right col-xs-1">/</label>
                <div class="col-md-1">
                    <input type="hidden" class="form-control " autocomplete="off" id="idshift" name="idshift">
                    <input type="text" class="form-control " autocomplete="off" id="shift" name="shift" readOnly>
               </div>
            </div>
            <div class="form-row mt-1">
                <label class="col-md-2 text-right">Jenis Kelamin</label>
                <div class="col-md-3">
                    <input type="text" class="form-control" autocomplete="off" id="jkelamin" name="jkelamin" value="{{ $jnskelamin }}" readOnly>
                </div>
                <label class="col-md-2 text-right">Unit Pelayanan<span class="text-danger">*</span></label>
                <div class="col-md-3">
                    <select class="form-control select2" name="idbagian" id="idbagian">
                        <option value="">--Pilih--</option>
                        @foreach ($bagian as $row)
                            <option value="{{ $row->idbagian }}">{{ $row->nmbagian }}</option>
                        @endforeach
                      </select>
                </div>
            </div>
            <div class="form-row mt-1">
                <label class="col-md-2 text-right">Penjamin<span class="text-danger">*</span></label>
                <div class="col-md-3">
                    <select class="form-control select2  " name="idpenjamin" id="idpenjamin">

                        @foreach ($penjamin as $row)
                            <option value="{{ $row->idpenjamin }}">{{ $row->nmpenjamin }}</option>
                        @endforeach
                      </select>
                </div>
                <label class="col-md-2 text-right">Dokter<span class="text-danger">*</span></label>
                <div class="col-md-3">
                    <select class="form-control select2" name="iddokter" id="iddokter">
                        <option value="">--Pilih--</option>
                        @foreach ($dokter_praktek as $row)
                            <option value="{{ $row->iddokter }}">{{ $row->nmdoktergelar }}</option>
                        @endforeach
                      </select>
                </div>
            </div>
            <div class="form-row mt-1">
                <label class="col-md-2 text-right">Cara Datang<span class="text-danger">*</span></label>
                <div class="col-md-3">
                    <select class="form-control " name="idcaradatang" id="idcaradatang">
                        <option value="">--Pilih--</option>
                        @foreach ($caradatang as $row)
                            <option value="{{ $row->idcaradatang }}">{{ $row->nmcaradatang }}</option>
                        @endforeach
                      </select>
                </div>
                <label class="col-md-2 text-right">Jml. Pasien Antri</label>
                <div class="col-md-3">
                    <input type="text" class="form-control " autocomplete="off" id="jml_pasien_antri" name="jml_pasien_antri" readOnly>
                </div>
            </div>
            <div class="form-row mt-1">
                <label class="col-md-2 text-right">Catatan Diagnosa</label>
                <div class="col-md-3">
                    <input type="text" class="form-control " autocomplete="off" id="catatan_regis" name="catatan_regis">
                </div>
                <label class="col-md-2 text-right">No. Antrian</label>
                <div class="col-md-3">
                    <input type="text" class="form-control " autocomplete="off" id="noantrian" name="noantrian" readOnly>
                </div>
            </div>
            </form>
        </div>
    </div>
</div>
@endsection

@push('bottom.scripts')
<script type="text/javascript">
    $.fn.ready(function() {
        $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
         });
        $('.select2').select2({ width: '100%',allowClear: true, placeholder :'--Pilih--' });
        $('#tglreg').datepicker({
            format: 'dd-mm-yyyy',
            startDate: '1d',
            autoclose: true
        });
        $('#tglreg').datepicker('update', new Date());
        loadShift();
    });

    function loadShift(){
        var currentdate = new Date();
        var jamreg = currentdate.getHours() + ":"
                + currentdate.getMinutes();
        $.ajax({
            type: "GET",
            url: "{{ route('api.get-shift') }}",
            dataType: "json",
            contentType: false,
            cache : false,
            processData : false,
            success: function(result){
                $("#idshift").val(result.data.idshift);
                $("#shift").val(result.data.nmshift);
                $("#jamreg").val(jamreg);
            } ,error: function(xhr, error) {
                alert(error);
            },

        });
    }

    function submitRegistrasi()
    {
        var idcaradatang = $('#idcaradatang').val();
        var bagian = $('#idbagian').val();
        var dokter = $('#iddokter').val();

        if(idcaradatang == ''){
            Swal.fire("Error!", 'Cara datang harus di isi', "error");
        }else if(bagian == ''){
            Swal.fire("Error!", 'Unit pelayanan harus di isi', "error");
        }else if(dokter == ''){
            Swal.fire("Error!", 'Dokter harus di isi', "error");
        } else{
                var form_data = new FormData();
                form_data.append("norm", $('#norm').val());
                form_data.append("nmpasien", $('#nmpasien').val());
                form_data.append("idpenjamin", $('#idpenjamin').val());
                form_data.append("idbagian", $('#idbagian').val());
                form_data.append("idcaradatang", $('#idcaradatang').val());
                form_data.append("catatan", $('#catatan_regis').val());
                form_data.append("idshift", $('#idshift').val());
                form_data.append("iddokter", $('#iddokter').val());
                form_data.append("noreg", $('#noreg').val());
                form_data.append("tglreg", $('#tglreg').val());
                form_data.append("jamreg", $('#jamreg').val());

                $.ajax({
                type: "POST",
                url: "{{ route('rj.store') }}",
                beforeSend: function (xhr) {
                    var token = $('meta[name="csrf_token"]').attr('content');

                    if (token) {
                        return xhr.setRequestHeader('X-CSRF-TOKEN', token);
                    }
                },
                data: form_data,
                dataType: "json",
                contentType: false,
                cache : false,
                processData : false,
                success: function(result){
                    if(result.message != "") {
                        Swal.fire("Success!", result.message, "success");
                        $("#noreg").val(result.reg.noreg);
                    } else {
                        Swal.fire("Error!", result.error, "error");
                    }
                } ,error: function(xhr, status, error) {
                    alert(error);
                },

            });
        }

    }

</script>
@endpush